<?php



$tdatadisponibilidadesvinhaconf = array();
$tdatadisponibilidadesvinhaconf[".searchableFields"] = array();
$tdatadisponibilidadesvinhaconf[".ShortName"] = "disponibilidadesvinhaconf";
$tdatadisponibilidadesvinhaconf[".OwnerID"] = "";
$tdatadisponibilidadesvinhaconf[".OriginalTable"] = "Vinha";


$tdatadisponibilidadesvinhaconf[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdatadisponibilidadesvinhaconf[".originalPagesByType"] = $tdatadisponibilidadesvinhaconf[".pagesByType"];
$tdatadisponibilidadesvinhaconf[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdatadisponibilidadesvinhaconf[".originalPages"] = $tdatadisponibilidadesvinhaconf[".pages"];
$tdatadisponibilidadesvinhaconf[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdatadisponibilidadesvinhaconf[".originalDefaultPages"] = $tdatadisponibilidadesvinhaconf[".defaultPages"];

//	field labels
$fieldLabelsdisponibilidadesvinhaconf = array();
$fieldToolTipsdisponibilidadesvinhaconf = array();
$pageTitlesdisponibilidadesvinhaconf = array();
$placeHoldersdisponibilidadesvinhaconf = array();

if(mlang_getcurrentlang()=="Portuguese(Standard)")
{
	$fieldLabelsdisponibilidadesvinhaconf["Portuguese(Standard)"] = array();
	$fieldToolTipsdisponibilidadesvinhaconf["Portuguese(Standard)"] = array();
	$placeHoldersdisponibilidadesvinhaconf["Portuguese(Standard)"] = array();
	$pageTitlesdisponibilidadesvinhaconf["Portuguese(Standard)"] = array();
	$fieldLabelsdisponibilidadesvinhaconf["Portuguese(Standard)"]["Varieta"] = "Varieta";
	$fieldToolTipsdisponibilidadesvinhaconf["Portuguese(Standard)"]["Varieta"] = "";
	$placeHoldersdisponibilidadesvinhaconf["Portuguese(Standard)"]["Varieta"] = "";
	$fieldLabelsdisponibilidadesvinhaconf["Portuguese(Standard)"]["Totale"] = "Totale";
	$fieldToolTipsdisponibilidadesvinhaconf["Portuguese(Standard)"]["Totale"] = "";
	$placeHoldersdisponibilidadesvinhaconf["Portuguese(Standard)"]["Totale"] = "";
	$fieldLabelsdisponibilidadesvinhaconf["Portuguese(Standard)"]["Quantidade_Vendida"] = "Quantidade Vendida";
	$fieldToolTipsdisponibilidadesvinhaconf["Portuguese(Standard)"]["Quantidade_Vendida"] = "";
	$placeHoldersdisponibilidadesvinhaconf["Portuguese(Standard)"]["Quantidade_Vendida"] = "";
	$fieldLabelsdisponibilidadesvinhaconf["Portuguese(Standard)"]["Stock"] = "Stock";
	$fieldToolTipsdisponibilidadesvinhaconf["Portuguese(Standard)"]["Stock"] = "";
	$placeHoldersdisponibilidadesvinhaconf["Portuguese(Standard)"]["Stock"] = "";
	$fieldLabelsdisponibilidadesvinhaconf["Portuguese(Standard)"]["Marza"] = "Marza";
	$fieldToolTipsdisponibilidadesvinhaconf["Portuguese(Standard)"]["Marza"] = "";
	$placeHoldersdisponibilidadesvinhaconf["Portuguese(Standard)"]["Marza"] = "";
	$fieldLabelsdisponibilidadesvinhaconf["Portuguese(Standard)"]["Confirmado"] = "Confirmado";
	$fieldToolTipsdisponibilidadesvinhaconf["Portuguese(Standard)"]["Confirmado"] = "";
	$placeHoldersdisponibilidadesvinhaconf["Portuguese(Standard)"]["Confirmado"] = "";
	if (count($fieldToolTipsdisponibilidadesvinhaconf["Portuguese(Standard)"]))
		$tdatadisponibilidadesvinhaconf[".isUseToolTips"] = true;
}


	$tdatadisponibilidadesvinhaconf[".NCSearch"] = true;


	$tdatadisponibilidadesvinhaconf[".scrollGridBody"] = true;

$tdatadisponibilidadesvinhaconf[".shortTableName"] = "disponibilidadesvinhaconf";
$tdatadisponibilidadesvinhaconf[".nSecOptions"] = 0;

$tdatadisponibilidadesvinhaconf[".mainTableOwnerID"] = "";
$tdatadisponibilidadesvinhaconf[".entityType"] = 1;

$tdatadisponibilidadesvinhaconf[".strOriginalTableName"] = "Vinha";

	



$tdatadisponibilidadesvinhaconf[".showAddInPopup"] = true;

$tdatadisponibilidadesvinhaconf[".showEditInPopup"] = false;

$tdatadisponibilidadesvinhaconf[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
			;
$popupPagesLayoutNames["add"] = "add";
$tdatadisponibilidadesvinhaconf[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatadisponibilidadesvinhaconf[".listAjax"] = false;
//	temporary
$tdatadisponibilidadesvinhaconf[".listAjax"] = false;

	$tdatadisponibilidadesvinhaconf[".audit"] = true;

	$tdatadisponibilidadesvinhaconf[".locking"] = true;


$pages = $tdatadisponibilidadesvinhaconf[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatadisponibilidadesvinhaconf[".edit"] = true;
	$tdatadisponibilidadesvinhaconf[".afterEditAction"] = 1;
	$tdatadisponibilidadesvinhaconf[".closePopupAfterEdit"] = 1;
	$tdatadisponibilidadesvinhaconf[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatadisponibilidadesvinhaconf[".add"] = true;
$tdatadisponibilidadesvinhaconf[".afterAddAction"] = 1;
$tdatadisponibilidadesvinhaconf[".closePopupAfterAdd"] = 1;
$tdatadisponibilidadesvinhaconf[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatadisponibilidadesvinhaconf[".list"] = true;
}



$tdatadisponibilidadesvinhaconf[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatadisponibilidadesvinhaconf[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatadisponibilidadesvinhaconf[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatadisponibilidadesvinhaconf[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatadisponibilidadesvinhaconf[".printFriendly"] = true;
}



$tdatadisponibilidadesvinhaconf[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatadisponibilidadesvinhaconf[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatadisponibilidadesvinhaconf[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatadisponibilidadesvinhaconf[".isUseAjaxSuggest"] = true;

$tdatadisponibilidadesvinhaconf[".rowHighlite"] = true;



			

$tdatadisponibilidadesvinhaconf[".ajaxCodeSnippetAdded"] = false;

$tdatadisponibilidadesvinhaconf[".buttonsAdded"] = false;

$tdatadisponibilidadesvinhaconf[".addPageEvents"] = false;

// use timepicker for search panel
$tdatadisponibilidadesvinhaconf[".isUseTimeForSearch"] = false;


$tdatadisponibilidadesvinhaconf[".badgeColor"] = "EDCA00";


$tdatadisponibilidadesvinhaconf[".allSearchFields"] = array();
$tdatadisponibilidadesvinhaconf[".filterFields"] = array();
$tdatadisponibilidadesvinhaconf[".requiredSearchFields"] = array();

$tdatadisponibilidadesvinhaconf[".googleLikeFields"] = array();
$tdatadisponibilidadesvinhaconf[".googleLikeFields"][] = "Marza";
$tdatadisponibilidadesvinhaconf[".googleLikeFields"][] = "Confirmado";



$tdatadisponibilidadesvinhaconf[".tableType"] = "list";

$tdatadisponibilidadesvinhaconf[".printerPageOrientation"] = 0;
$tdatadisponibilidadesvinhaconf[".nPrinterPageScale"] = 100;

$tdatadisponibilidadesvinhaconf[".nPrinterSplitRecords"] = 40;

$tdatadisponibilidadesvinhaconf[".geocodingEnabled"] = false;










$tdatadisponibilidadesvinhaconf[".pageSize"] = 999;

$tdatadisponibilidadesvinhaconf[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatadisponibilidadesvinhaconf[".strOrderBy"] = $tstrOrderBy;

$tdatadisponibilidadesvinhaconf[".orderindexes"] = array();

$tdatadisponibilidadesvinhaconf[".sqlHead"] = "SELECT Assegnatos.Marza,  Assegnatos.Varieta,  Assegnatos.Totale,  SUM(Vinha.Quantidade) AS `Quantidade Vendida`,  COALESCE(Assegnatos.Totale,0)-SUM(COALESCE(Vinha.Quantidade,0)) AS Stock,  Vinha.Confirmado";
$tdatadisponibilidadesvinhaconf[".sqlFrom"] = "FROM Vinha  RIGHT OUTER JOIN Assegnatos ON Assegnatos.Codice = Vinha.CodPlanta";
$tdatadisponibilidadesvinhaconf[".sqlWhereExpr"] = "(Vinha.Confirmado =1)";
$tdatadisponibilidadesvinhaconf[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatadisponibilidadesvinhaconf[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatadisponibilidadesvinhaconf[".arrGroupsPerPage"] = $arrGPP;

$tdatadisponibilidadesvinhaconf[".highlightSearchResults"] = true;

$tableKeysdisponibilidadesvinhaconf = array();
$tdatadisponibilidadesvinhaconf[".Keys"] = $tableKeysdisponibilidadesvinhaconf;


$tdatadisponibilidadesvinhaconf[".hideMobileList"] = array();




//	Marza
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "Marza";
	$fdata["GoodName"] = "Marza";
	$fdata["ownerTable"] = "Assegnatos";
	$fdata["Label"] = GetFieldLabel("DisponibilidadesVinhaConf","Marza");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Marza";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Assegnatos.Marza";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "Assegnatos";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
			$edata["LookupUnique"] = true;

	$edata["LinkField"] = "Marza";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "Marza";

	

	
	$edata["LookupOrderBy"] = "Marza";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadisponibilidadesvinhaconf["Marza"] = $fdata;
		$tdatadisponibilidadesvinhaconf[".searchableFields"][] = "Marza";
//	Varieta
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "Varieta";
	$fdata["GoodName"] = "Varieta";
	$fdata["ownerTable"] = "Assegnatos";
	$fdata["Label"] = GetFieldLabel("DisponibilidadesVinhaConf","Varieta");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Varieta";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Assegnatos.Varieta";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Equals";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadisponibilidadesvinhaconf["Varieta"] = $fdata;
		$tdatadisponibilidadesvinhaconf[".searchableFields"][] = "Varieta";
//	Totale
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "Totale";
	$fdata["GoodName"] = "Totale";
	$fdata["ownerTable"] = "Assegnatos";
	$fdata["Label"] = GetFieldLabel("DisponibilidadesVinhaConf","Totale");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Totale";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Assegnatos.Totale";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadisponibilidadesvinhaconf["Totale"] = $fdata;
		$tdatadisponibilidadesvinhaconf[".searchableFields"][] = "Totale";
//	Quantidade Vendida
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "Quantidade Vendida";
	$fdata["GoodName"] = "Quantidade_Vendida";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("DisponibilidadesVinhaConf","Quantidade_Vendida");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Quantidade Vendida";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(Vinha.Quantidade)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadisponibilidadesvinhaconf["Quantidade Vendida"] = $fdata;
		$tdatadisponibilidadesvinhaconf[".searchableFields"][] = "Quantidade Vendida";
//	Stock
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "Stock";
	$fdata["GoodName"] = "Stock";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("DisponibilidadesVinhaConf","Stock");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Stock";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "COALESCE(Assegnatos.Totale,0)-SUM(COALESCE(Vinha.Quantidade,0))";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadisponibilidadesvinhaconf["Stock"] = $fdata;
		$tdatadisponibilidadesvinhaconf[".searchableFields"][] = "Stock";
//	Confirmado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "Confirmado";
	$fdata["GoodName"] = "Confirmado";
	$fdata["ownerTable"] = "Vinha";
	$fdata["Label"] = GetFieldLabel("DisponibilidadesVinhaConf","Confirmado");
	$fdata["FieldType"] = 16;

	
	
	
			

		$fdata["strField"] = "Confirmado";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Vinha.Confirmado";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
				$fdata["filterFormat"] = "Options list";
		$fdata["showCollapsed"] = false;

	
	
	
		$fdata["filterCheckedMessageType"] = "Text";
	$fdata["filterCheckedMessageText"] = "Checked";
	$fdata["filterUncheckedMessageType"] = "Text";
	$fdata["filterUncheckedMessageText"] = "Unchecked";

//end of Filters settings


	$tdatadisponibilidadesvinhaconf["Confirmado"] = $fdata;
		$tdatadisponibilidadesvinhaconf[".searchableFields"][] = "Confirmado";


$tables_data["DisponibilidadesVinhaConf"]=&$tdatadisponibilidadesvinhaconf;
$field_labels["DisponibilidadesVinhaConf"] = &$fieldLabelsdisponibilidadesvinhaconf;
$fieldToolTips["DisponibilidadesVinhaConf"] = &$fieldToolTipsdisponibilidadesvinhaconf;
$placeHolders["DisponibilidadesVinhaConf"] = &$placeHoldersdisponibilidadesvinhaconf;
$page_titles["DisponibilidadesVinhaConf"] = &$pageTitlesdisponibilidadesvinhaconf;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["DisponibilidadesVinhaConf"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["DisponibilidadesVinhaConf"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_disponibilidadesvinhaconf()
{
$proto1=array();
$proto1["m_strHead"] = "SELECT";
$proto1["m_strFieldList"] = "Assegnatos.Marza,  Assegnatos.Varieta,  Assegnatos.Totale,  SUM(Vinha.Quantidade) AS `Quantidade Vendida`,  COALESCE(Assegnatos.Totale,0)-SUM(COALESCE(Vinha.Quantidade,0)) AS Stock,  Vinha.Confirmado";
$proto1["m_strFrom"] = "FROM Vinha  RIGHT OUTER JOIN Assegnatos ON Assegnatos.Codice = Vinha.CodPlanta";
$proto1["m_strWhere"] = "(Vinha.Confirmado =1)";
$proto1["m_strOrderBy"] = "";
	
		;
			$proto1["cipherer"] = null;
$proto3=array();
$proto3["m_sql"] = "Vinha.Confirmado =1";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "Confirmado",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "DisponibilidadesVinhaConf"
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "=1";
$proto3["m_havingmode"] = false;
$proto3["m_inBrackets"] = false;
$proto3["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto3);

$proto1["m_where"] = $obj;
$proto5=array();
$proto5["m_sql"] = "";
$proto5["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto5["m_column"]=$obj;
$proto5["m_contained"] = array();
$proto5["m_strCase"] = "";
$proto5["m_havingmode"] = false;
$proto5["m_inBrackets"] = false;
$proto5["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto5);

$proto1["m_having"] = $obj;
$proto1["m_fieldlist"] = array();
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "Marza",
	"m_strTable" => "Assegnatos",
	"m_srcTableName" => "DisponibilidadesVinhaConf"
));

$proto7["m_sql"] = "Assegnatos.Marza";
$proto7["m_srcTableName"] = "DisponibilidadesVinhaConf";
$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto1["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "Varieta",
	"m_strTable" => "Assegnatos",
	"m_srcTableName" => "DisponibilidadesVinhaConf"
));

$proto9["m_sql"] = "Assegnatos.Varieta";
$proto9["m_srcTableName"] = "DisponibilidadesVinhaConf";
$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto1["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "Totale",
	"m_strTable" => "Assegnatos",
	"m_srcTableName" => "DisponibilidadesVinhaConf"
));

$proto11["m_sql"] = "Assegnatos.Totale";
$proto11["m_srcTableName"] = "DisponibilidadesVinhaConf";
$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto1["m_fieldlist"][]=$obj;
						$proto13=array();
			$proto14=array();
$proto14["m_functiontype"] = "SQLF_SUM";
$proto14["m_arguments"] = array();
						$obj = new SQLField(array(
	"m_strName" => "Quantidade",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "DisponibilidadesVinhaConf"
));

$proto14["m_arguments"][]=$obj;
$proto14["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto14);

$proto13["m_sql"] = "SUM(Vinha.Quantidade)";
$proto13["m_srcTableName"] = "DisponibilidadesVinhaConf";
$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "Quantidade Vendida";
$obj = new SQLFieldListItem($proto13);

$proto1["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLNonParsed(array(
	"m_sql" => "COALESCE(Assegnatos.Totale,0)-SUM(COALESCE(Vinha.Quantidade,0))"
));

$proto16["m_sql"] = "COALESCE(Assegnatos.Totale,0)-SUM(COALESCE(Vinha.Quantidade,0))";
$proto16["m_srcTableName"] = "DisponibilidadesVinhaConf";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "Stock";
$obj = new SQLFieldListItem($proto16);

$proto1["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "Confirmado",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "DisponibilidadesVinhaConf"
));

$proto18["m_sql"] = "Vinha.Confirmado";
$proto18["m_srcTableName"] = "DisponibilidadesVinhaConf";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto1["m_fieldlist"][]=$obj;
$proto1["m_fromlist"] = array();
												$proto20=array();
$proto20["m_link"] = "SQLL_MAIN";
			$proto21=array();
$proto21["m_strName"] = "Vinha";
$proto21["m_srcTableName"] = "DisponibilidadesVinhaConf";
$proto21["m_columns"] = array();
$proto21["m_columns"][] = "CodVenda";
$proto21["m_columns"][] = "CodUser";
$proto21["m_columns"][] = "Data";
$proto21["m_columns"][] = "CodPlanta";
$proto21["m_columns"][] = "CodCliente";
$proto21["m_columns"][] = "Quantidade";
$proto21["m_columns"][] = "Confirmado";
$proto21["m_columns"][] = "Pago20%";
$proto21["m_columns"][] = "Encomendado";
$proto21["m_columns"][] = "PagoTotal";
$proto21["m_columns"][] = "Fornecido";
$proto21["m_columns"][] = "NEntrega";
$proto21["m_columns"][] = "PE";
$proto21["m_columns"][] = "Clone";
$proto21["m_columns"][] = "NE";
$proto21["m_columns"][] = "Saldo";
$proto21["m_columns"][] = "CodMarza";
$proto21["m_columns"][] = "Saldo1";
$proto21["m_columns"][] = "Escolha";
$obj = new SQLTable($proto21);

$proto20["m_table"] = $obj;
$proto20["m_sql"] = "Vinha";
$proto20["m_alias"] = "";
$proto20["m_srcTableName"] = "DisponibilidadesVinhaConf";
$proto22=array();
$proto22["m_sql"] = "";
$proto22["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto22["m_column"]=$obj;
$proto22["m_contained"] = array();
$proto22["m_strCase"] = "";
$proto22["m_havingmode"] = false;
$proto22["m_inBrackets"] = false;
$proto22["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto22);

$proto20["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto20);

$proto1["m_fromlist"][]=$obj;
												$proto24=array();
$proto24["m_link"] = "SQLL_RIGHTJOIN";
			$proto25=array();
$proto25["m_strName"] = "Assegnatos";
$proto25["m_srcTableName"] = "DisponibilidadesVinhaConf";
$proto25["m_columns"] = array();
$proto25["m_columns"][] = "Data";
$proto25["m_columns"][] = "Marza";
$proto25["m_columns"][] = "Talea";
$proto25["m_columns"][] = "Varieta";
$proto25["m_columns"][] = "Totale";
$proto25["m_columns"][] = "Codice";
$proto25["m_columns"][] = "Clone";
$obj = new SQLTable($proto25);

$proto24["m_table"] = $obj;
$proto24["m_sql"] = "RIGHT OUTER JOIN Assegnatos ON Assegnatos.Codice = Vinha.CodPlanta";
$proto24["m_alias"] = "";
$proto24["m_srcTableName"] = "DisponibilidadesVinhaConf";
$proto26=array();
$proto26["m_sql"] = "Assegnatos.Codice = Vinha.CodPlanta";
$proto26["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "Codice",
	"m_strTable" => "Assegnatos",
	"m_srcTableName" => "DisponibilidadesVinhaConf"
));

$proto26["m_column"]=$obj;
$proto26["m_contained"] = array();
$proto26["m_strCase"] = "= Vinha.CodPlanta";
$proto26["m_havingmode"] = false;
$proto26["m_inBrackets"] = false;
$proto26["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto26);

$proto24["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto24);

$proto1["m_fromlist"][]=$obj;
$proto1["m_groupby"] = array();
												$proto28=array();
						$obj = new SQLField(array(
	"m_strName" => "Marza",
	"m_strTable" => "Assegnatos",
	"m_srcTableName" => "DisponibilidadesVinhaConf"
));

$proto28["m_column"]=$obj;
$obj = new SQLGroupByItem($proto28);

$proto1["m_groupby"][]=$obj;
												$proto30=array();
						$obj = new SQLField(array(
	"m_strName" => "Varieta",
	"m_strTable" => "Assegnatos",
	"m_srcTableName" => "DisponibilidadesVinhaConf"
));

$proto30["m_column"]=$obj;
$obj = new SQLGroupByItem($proto30);

$proto1["m_groupby"][]=$obj;
												$proto32=array();
						$obj = new SQLField(array(
	"m_strName" => "Totale",
	"m_strTable" => "Assegnatos",
	"m_srcTableName" => "DisponibilidadesVinhaConf"
));

$proto32["m_column"]=$obj;
$obj = new SQLGroupByItem($proto32);

$proto1["m_groupby"][]=$obj;
												$proto34=array();
						$obj = new SQLField(array(
	"m_strName" => "Confirmado",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "DisponibilidadesVinhaConf"
));

$proto34["m_column"]=$obj;
$obj = new SQLGroupByItem($proto34);

$proto1["m_groupby"][]=$obj;
$proto1["m_orderby"] = array();
$proto1["m_srcTableName"]="DisponibilidadesVinhaConf";		
$obj = new SQLQuery($proto1);

	return $obj;
}
$queryData_disponibilidadesvinhaconf = createSqlQuery_disponibilidadesvinhaconf();


	
		;

						

$tdatadisponibilidadesvinhaconf[".sqlquery"] = $queryData_disponibilidadesvinhaconf;

$tableEvents["DisponibilidadesVinhaConf"] = new eventsBase;
$tdatadisponibilidadesvinhaconf[".hasEvents"] = false;

?>